# &kde; kasutaja käsiraamat

Harri
Porten

    porten@kde.org

2008-10-15
0.01.01
kjs
1

# `kjs`

&kde; ECMAScriptiga ühilduv interpretaator

## Kokkuvõte

    kjs  --help -help -h   -e lause   skript

## Kirjeldus

`kjs` on KDE ECMAScripti/JavaScripti mootor.

## Rakenduse võtmed

`--help`,`-help`,`-h`

  Näitab `kjscmd` kasutamist.

`-e` `lause`

  Käivitab lause ja väljub. Näide:

      kjs -e "print('hello world')"

`script`

  Käivitab failis `skript` leiduvad laused.

## Kasutamine

Nagu paljude interpretaatorite korral, kasutab `kjs` `fail` ilma parameetrita väljakutsumise puhul rearedaktorit lause sisestamiseks, näidates viipa

    JS

. Rearedaktorist väljumiseks kirjuta `quit()` või vajuta klahve `Ctrl+D`.

## Vaata ka

kjs(1)

## Vead

Vigu võib olla mustmiljon, õige koht neist teadaandmiseks on bugs.kde.org.